Loading...
Searching...
No Matches
pcl::_Normal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_Normal:

## Public Attributes

union { |
struct { |
float curvature |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 775 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_NORMAL4D union { ... } pcl::_Normal

## curvature

float pcl::_Normal::curvature

Definition at line 782 of file point_types.hpp.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::addProjectedPointNormal(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), and pcl::SupervoxelClustering< PointT >::VoxelData::getNormal().

## data_c

float pcl::_Normal::data_c[4]

Definition at line 784 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp